<fieldset class="form-group">
  <div class="row">
    <div class="col-12">
      <label id={{this.id}}>{{@label}}</label>
      {{#if @hint}}
        <span class="tooltip-container">
          <BsTooltip @title={{@hint}} />
          <FaIcon class="text-info" @icon="question-circle" />
        </span>
      {{/if}}
      <BsButtonGroup
        @onChange={{@onChange}}
        @type="radio"
        @value={{@value}}
        @vertical={{true}}
        aria-labelledby={{this.id}}
        class="d-flex"
        role="radiogroup"
        as |bg|
      >
        {{#each this.sortedOptions as |option|}}
          <bg.button
            @type={{if (eq @value option) "primary" "default"}}
            @value={{option}}
            aria-checked={{if (eq @value option) "true" "false"}}
            class="text-left"
            role="radio"
          >
            <FaIcon @icon={{if (eq @value option) "dot-circle" "circle"}} />
            {{t (concat @optionKey option)}}
          </bg.button>
        {{/each}}
      </BsButtonGroup>
    </div>
  </div>
</fieldset>